x11/Xaw-Xpm - The NetBSD Packages Collection

Enhanced 3-D widgets based on the Athena Widget set and Xaw3d

Xaw-xpm is a hack on Xaw3d, which is in turn based on the 'standard' X11 Xaw
widget set. It adds the ability to insert colour images into the backgrounds
of widgets, vastly improving the look of your Xaw apps. Just put the library
(libXaw.so.6.0) in place of your current one (usually /usr/X11R6/lib on Linux
systems) and customise away with editres, etc.

Hacked by Ben Buxton .

Build dependencies

pkgtools/x11-links x11/xorgproto pkgtools/cwrappers devel/imake

Runtime dependencies

x11/libXpm

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfXaw-Xpm-1.1nb4.tgz
NetBSD 8.0earmv7hfXaw-Xpm-1.1nb4.tgz
NetBSD 8.0earmv7hfXaw-Xpm-1.1nb4.tgz
NetBSD 8.0i386Xaw-Xpm-1.1nb4.tgz
NetBSD 8.0i386Xaw-Xpm-1.1nb4.tgz
NetBSD 8.0i386Xaw-Xpm-1.1nb4.tgz
NetBSD 8.0powerpcXaw-Xpm-1.1nb4.tgz
NetBSD 8.0powerpcXaw-Xpm-1.1nb4.tgz
NetBSD 8.0powerpcXaw-Xpm-1.1nb4.tgz
NetBSD 8.0x86_64Xaw-Xpm-1.1nb4.tgz
NetBSD 8.0x86_64Xaw-Xpm-1.1nb4.tgz
NetBSD 8.0x86_64Xaw-Xpm-1.1nb4.tgz
NetBSD 9.0aarch64Xaw-Xpm-1.1nb4.tgz
NetBSD 9.0aarch64Xaw-Xpm-1.1nb4.tgz
NetBSD 9.0aarch64Xaw-Xpm-1.1nb4.tgz
NetBSD 9.0alphaXaw-Xpm-1.1nb4.tgz
NetBSD 9.0alphaXaw-Xpm-1.1nb4.tgz
NetBSD 9.0alphaXaw-Xpm-1.1nb4.tgz
NetBSD 9.0earmv6hfXaw-Xpm-1.1nb4.tgz
NetBSD 9.0earmv6hfXaw-Xpm-1.1nb4.tgz
NetBSD 9.0earmv6hfXaw-Xpm-1.1nb4.tgz
NetBSD 9.0earmv6hfXaw-Xpm-1.1nb4.tgz
NetBSD 9.0earmv7hfXaw-Xpm-1.1nb4.tgz
NetBSD 9.0earmv7hfXaw-Xpm-1.1nb4.tgz
NetBSD 9.0earmv7hfXaw-Xpm-1.1nb4.tgz
NetBSD 9.0earmv7hfXaw-Xpm-1.1nb4.tgz
NetBSD 9.0i386Xaw-Xpm-1.1nb4.tgz
NetBSD 9.0i386Xaw-Xpm-1.1nb4.tgz
NetBSD 9.0i386Xaw-Xpm-1.1nb4.tgz
NetBSD 9.0mips64ebXaw-Xpm-1.1nb4.tgz
NetBSD 9.0mips64ebXaw-Xpm-1.1nb4.tgz
NetBSD 9.0mips64ebXaw-Xpm-1.1nb4.tgz
NetBSD 9.0powerpcXaw-Xpm-1.1nb4.tgz
NetBSD 9.0powerpcXaw-Xpm-1.1nb4.tgz
NetBSD 9.0sparc64Xaw-Xpm-1.1nb4.tgz
NetBSD 9.0sparc64Xaw-Xpm-1.1nb4.tgz
NetBSD 9.0sparc64Xaw-Xpm-1.1nb4.tgz
NetBSD 9.0sparc64Xaw-Xpm-1.1nb4.tgz
NetBSD 9.0sparcXaw-Xpm-1.1nb4.tgz
NetBSD 9.0sparcXaw-Xpm-1.1nb4.tgz
NetBSD 9.0sparcXaw-Xpm-1.1nb4.tgz
NetBSD 9.0x86_64Xaw-Xpm-1.1nb4.tgz
NetBSD 9.0x86_64Xaw-Xpm-1.1nb4.tgz
NetBSD 9.0x86_64Xaw-Xpm-1.1nb4.tgz
NetBSD 9.0x86_64Xaw-Xpm-1.1nb4.tgz
NetBSD 9.0x86_64Xaw-Xpm-1.1nb4.tgz
NetBSD 9.0x86_64Xaw-Xpm-1.1nb4.tgz
NetBSD 9.0x86_64Xaw-Xpm-1.1nb4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.